using BPA.SAAS.Manage.Application.DataBase.Dtos.GoodsAttributePrice;
using BPA.SAAS.Manage.Application.DataBase.Interface;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase
{
    [ApiDescriptionSettings("GoodsAttributePrice", Tag = "商品属性价格")]
    public class GoodsAttributePriceServices: IDynamicApiController
    {
        IGoodsAttributePriceService _goodsAttributePriceService;
        public GoodsAttributePriceServices(IGoodsAttributePriceService goodsAttributePriceService) 
        {
            _goodsAttributePriceService=goodsAttributePriceService;
        }
        /// <summary>
        /// 分页查询
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("/api/goodsattributeprice/getpage")]
        public async Task<PageUtil> GetGoodsAttributePricePage(GoodsAttributePriceQueryDto dto)
        {
            return await _goodsAttributePriceService.GetGoodsAttributePricePage(dto);
        }
        /// <summary>
        /// 查询商品属性价格列表
        /// </summary>
        /// <param name="goodsId"></param>
        /// <returns></returns>
        [HttpGet("/api/goodsattributeprice/getlist")]
        public async Task<List<GoodsAttributePriceView>> GetGoodsAttributePriceList(string goodsId)
        {
            return await _goodsAttributePriceService.GetGoodsAttributePriceList(goodsId);
        }
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("/api/goodsattributeprice/add")]
        public async Task<bool> AddGoodsAttributePrice(GoodsAttributePriceDto dto)
        {
            return await _goodsAttributePriceService.AddGoodsAttributePrice(dto);
        }
        /// <summary>
        /// 更新
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("/api/goodsattributeprice/update")]
        public async Task<bool> UpdateGoodsAttributePrice(GoodsAttributePriceDto dto)
        {
            return await _goodsAttributePriceService.UpdateGoodsAttributePrice(dto);
        }
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        [HttpGet("/api/goodsattributeprice/delete")]
        public async Task<bool> DelGoodsAttributePrice(string Id)
        {
            return await _goodsAttributePriceService.DelGoodsAttributePrice(Id);
        }
    }
}
